/*
Updates are required on 
1. Line 25
Prior to executing this script to setup Extended Events, 
you need to update the SPID (xx) to capture only events from this SPID

Example
-- This Extended Events will only capture event generated by SPID 52
CREATE EVENT SESSION [XE-UDF] ON SERVER 
ADD EVENT sqlserver.module_end(SET collect_statement=(1)
    ACTION(sqlserver.sql_text)
    WHERE ([sqlserver].[session_id]=(52))),
ADD EVENT sqlserver.sql_statement_completed
ADD TARGET package0.histogram(SET source=N'sqlserver.sql_text')
WITH (MAX_MEMORY=4096 KB,EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS
,MAX_DISPATCH_LATENCY=30 SECONDS,MAX_EVENT_SIZE=0 KB
,MEMORY_PARTITION_MODE=NONE,TRACK_CAUSALITY=OFF,STARTUP_STATE=OFF)
GO

*/

CREATE EVENT SESSION [XE-UDF] ON SERVER 
ADD EVENT sqlserver.module_end(SET collect_statement=(1)
    ACTION(sqlserver.sql_text)
    WHERE ([sqlserver].[session_id]=(<<Update SPID here>>))),
ADD EVENT sqlserver.sql_statement_completed
ADD TARGET package0.histogram(SET source=N'sqlserver.sql_text')
WITH (MAX_MEMORY=4096 KB,EVENT_RETENTION_MODE=ALLOW_SINGLE_EVENT_LOSS
,MAX_DISPATCH_LATENCY=30 SECONDS,MAX_EVENT_SIZE=0 KB
,MEMORY_PARTITION_MODE=NONE,TRACK_CAUSALITY=OFF,STARTUP_STATE=OFF)
GO

